# The first instruction is what image we want to base our container on
# We Use an official Python runtime as a parent image
#FROM python:3.6

# FROM directive instructing base image to build upon
FROM python:3.6.6

# The enviroment variable ensures that the python output is set straight
# to the terminal with out buffering it first
#ENV PYTHONUNBUFFERED 1

# App directory
RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

# Install azure event hub client dependencies
#COPY p /usr/src/app/

# Bundle app source
COPY . /usr/src/app

# COPY startup script into known file location in container
COPY start.sh /start.sh

# create root directory for our project in the container
#RUN mkdir /esther_kleinhenz_ba

# EXPOSE port 8000 to allow communication to/from server
#EXPOSE 8000

RUN set -x \
	&& buildDeps='curl gcc libc6-dev libsqlite3-dev libssl-dev make xz-utils zlib1g-dev'

# Install any needed packages specified in requirements.txt
RUN pip install -r requirements.txt

# Set the working directory to /esther_kleinhenz_ba
#WORKDIR /esther_kleinhenz_ba

# CMD specifcies the command to execute to start the server running.
CMD ["/start.sh"]
# done!

# Copy the current directory contents into the container at /esther_kleinhenz_ba
#ADD . /esther_kleinhenz_ba/

